---
id: action-item-comment-list
title: "List comments"
description: "List all comments on an action item."
sidebar_label: "List comments"
hide_title: true
hide_table_of_contents: true
api: eJzFV21z20QQ/is7+6XtjGIraSigT5hQIAwMncZAIfakZ93aula6U+9OIalH/53ZO9mW7IQ0MAz54Ohlb1+ee57V3holudyq2iujMcMflfMgyhJyU1WkvQOjQWgQORuA8lSNMEFTkxX85FxihvHlFb+86tZlpXIeE/Ri5TC7xElcf+6pgrNogvMEHeWNVf4Ws8s1LkhYspPGF5hdztt5grWwoiJP1gUDxRnWwheYoBYVYYZKYoIuL6gSmK3R39b81Hmr9ArbBC19aJQliZm3DSV71U4L6lcG599wcXQjqrpkPze/f/z8iy8nizP5comckCVXG+3IcbCTNOV/Q5cT4MrBLLcIssvcaM8lZ2sUdV2qPIA3fud4zfqwALN4RznjV1uG2qsY0ZJrSu96hsJacYsJcvruYQdKHqJ0Fyhd7geA5JU/Pnm+ASRB0fjC2Mf5jGuGft8JTV91t6PcVOy7h9mnO/d044eup4Vy4ArTlBIWBLVVxiqvPpKEpbHgCwJNNx5cbZX2oxDZkvAkr8SdwZfGVvwGpfB05FVFBxmdsQNmFb91XlT1MKeT9OTFUXp6lL6YHp9mz9MsTUdpmv6BbZugVz4YbWTSxr8ET9+8OeTbWam4brLWWNjSE2RD4A0ofS1KJUHpuvEJVMo5pVew01UCxkKj454EUESek3OjmZ7p1/ShIech+IgFhTgOGkcgQKrlkiyHd4WoKZvpt2/fMqdnej3TALOA3QwzmOGvWx8v2cUMk2gRHbLN5RpmWJFzYtWtWRh5C1XjPBTimmCjZeg4fQtPJC3JXjXaq/LJDKGdz3Qbspjpx6jOaPp5GVrMvnyGYF94oaWwcg9u3txdo7lE54Vv3JmRzIxgismmMu56Q032rHdsU9rTiuxBBt9Pp68groDcSIKnNFqNEjhNU/455p/n/HP6bEC50zQNkhoEuUdPP4m8UJqOLAkpFiV11fLiIY0XQl7ZyBGWTaz0QfcXhbEees+4WbIMYxhePAzztZDwehdmA+SDgSZSKr4UJUjyQpUOxMI0fhdsv1NEjjHl/xQOKlGy1klCqF57oTTJraZ2IhqxRpOHyHOfmu6lUXDXweoOeROjHYKwK2hPc9s9+hcfkL8Bv8eLB3UbFdu1tnlsb5/d1d4uyF6TPWhvSsugZr3i4UQ51xAPKryxk1fn4FSk6j/+7P5farZUW3KkQ2VcjaspV0uVg+sBMaDtZ49Q9gSq+7UNvhAecuFpFT4FLiYQ4y6FKhu7J0wuy2pRXkWjKxqw7FPSWVhFywSKphJ6l9MjesN5lwJ0RNkS/T/rEhMNjaabmnJPmw+ByfPGMsM7DkY8RrtPd0W+MDwqryhoimfYDMe9wXm8VrIdb2ZGHmqDjzj4NrbEDAvva5eNx6JWI92UZV0Kzw0qDky9afqCeR3p2J+pt0iwo83YHPQajDDpLr7dDDg//DYNE4nSS8PLOZ8I2vEoHaW4m1V6471j9GvjfCWCyLpBPRwseuUNNmG9U+qnnkC6UnjeG9elUJrDBpzWHbyX/XMJJpiFs8I2hXmChXGe7dbrhXD0iy3blh9/aMjyiWSe4LWwiikZdkEqx9cSs6Uo3f5hol/D09dd/3gGdx8x7sx+05E19+NrUTZ8hwm+p9t40mnnbYIFCUk2JBRfTPKcat9bctDqmBtbBn73copxcO8xYo8B/VFomM56HS2m5j3ptt1m5/keQyv/C2GE9jo=
sidebar_class_name: "get api-method"
info_path: docs/api/action-items
custom_edit_url: null
---

import MethodEndpoint from "@theme/ApiExplorer/MethodEndpoint";
import ParamsDetails from "@theme/ParamsDetails";
import RequestSchema from "@theme/RequestSchema";
import StatusCodes from "@theme/StatusCodes";
import OperationTabs from "@theme/OperationTabs";
import TabItem from "@theme/TabItem";
import Heading from "@theme/Heading";

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List comments"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/action_item/{id}/comments"}
  context={"endpoint"}
>
  
</MethodEndpoint>



List all comments on an action item.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"id","schema":{"type":"string"},"required":true,"description":"The action item ID.","example":"xYz789AbCdEf"}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"A list of comments.","content":{"application/json":{"schema":{"type":"object","properties":{"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The comment ID.","example":"cmt123AbCdEf"},"author":{"type":"string","description":"The comment author.","example":"jane@example.com"},"content":{"type":"string","description":"The comment text.","example":"This should be prioritized for the next sprint."},"created_at":{"type":"string","format":"date-time","description":"Creation timestamp.","example":"2026-04-06T14:30:00.000Z"}},"title":"Comment"}}}}}}},"4XX":{"description":"Client error responses due to invalid input, missing parameters, or unauthorized access.\n\nRequest validation errors use a different shape:\n```json\n{\n  \"type\": \"ValidationError\",\n  \"errors\": [{ \"message\": \"body must have required property 'defer_until'\" }]\n}\n```\n","content":{"application/json":{"schema":{"oneOf":[{"type":"object","description":"Standard error response.","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code (e.g., 400, 401, 403, 404).","example":400},"code":{"type":"string","description":"Machine-readable error code.","example":"bad_request"},"error":{"type":"string","description":"Short description of the error type.","example":"Bad Request"},"message":{"type":"string","description":"Additional details about the error.","example":"The request was malformed or contained invalid parameters."}}},{"type":"object","description":"Request validation error response.","required":["type","errors"],"properties":{"type":{"type":"string","example":"ValidationError"},"errors":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","example":"body must have required property 'until'"}}}}}}]}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["statusCode","error","message"],"properties":{"statusCode":{"type":"integer","description":"HTTP status code representing the specific server error.","example":500},"code":{"type":"string","description":"A machine-readable error code that categorizes the server failure.","example":"internal_server_error"},"error":{"type":"string","description":"A brief, human-readable description of the error type.","example":"Internal Server Error"},"message":{"type":"string","description":"Additional details about the error.","example":"An unexpected error occurred on the server."}}}}}}}}
>
  
</StatusCodes>


      